Subject: Re: bug#45042: 27.1; emacs -nw on Windows does not always update cursor position on screen

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Jan 2021 17:07:25 +0200

> From: Ed Avis <[email-masked]>
> CC: "[email-masked]" <[email-masked]>,
>  "[email-masked]"<[email-masked]>
> Date: Tue, 26 Jan 2021 07:21:27 +0000
> 
> Thanks for the explanation.  So although Emacs uses escape sequences to move the cursor on Unix-like
> platforms, the Windows build uses the native console API.  What surprised me was that the cursor position
> does update for up and down movements, and it does update horizontally at the same time.  It just doesn't
> move if you do a horizontal movement by itself.  If the cursor movement commands aren't supported by
> PuTTY or by OpenSSH server+client, I would expect to see neither kind of movement working.

I don't know the answer, but I'm quite sure that if you look at the
sources of the respective packages, you will see the reason.

It is also possible that in cases where it worked Emacs decided to
move the cursor by redrawing the following or the preceding character,
instead of calling the console API functions.  (These are redisplay
optimizations Emacs sometimes does.)